// --------------------------------------------------------
// Code generated by Papyrus C++
// --------------------------------------------------------

#ifndef DDICORE_40_PIM_CLASSES_AGENTS_ORGANIZATION_H
#define DDICORE_40_PIM_CLASSES_AGENTS_ORGANIZATION_H

/************************************************************
 Organization class header
 ************************************************************/

#include "DDICore_40_PIM/Classes/Agents/Pkg_Agents.h"

#include "DDICore_40_PIM/Classes/Agents/Agent.h"
#include "DDICore_40_PIM/DataTypes/StructuredDataTypes/ContactInformation.h"
#include "DDICore_40_PIM/DataTypes/StructuredDataTypes/OrganizationName.h"
#include "PrimitiveTypes/Pkg_PrimitiveTypes.h"

namespace DDICore_40_PIM {
namespace Classes {
namespace Agents {

/************************************************************/
/**
 * Definition
 * ============
 * A framework of authority designated to act toward some purpose.
 * 
 * Examples
 * ==========
 * U.S. Census Bureau, University of Michigan/ISR, Norwegian Social Data Archive 
 * 
 * Explanatory notes
 * ===================
 * related to org:Organization which is described as "Represents a collection of people organized together into a community or other..."
 * 
 * Synonyms
 * ==========
 * 
 * 
 * DDI 3.2 mapping
 * =================
 * 
 * 
 * RDF mapping
 * =============
 * 
 * 
 * GSIM mapping
 * ==============
 */
class Organization: public Agent {
public:

	/**
	 * The agency identifier of the organization as registered at the DDI Alliance register.
	 */
	::PrimitiveTypes::String ddiId[];

	/**
	 * Contact information for the organization including location specification, address, URL, phone numbers, and other means of communication access. Sets of information can be repeated and date-stamped.
	 */
	::DDICore_40_PIM::DataTypes::StructuredDataTypes::ContactInformation hasContactInformation;

	/**
	 * Names by which the organization is known.
	 */
	::DDICore_40_PIM::DataTypes::StructuredDataTypes::OrganizationName hasOrganizationName[];

};
/************************************************************/
/* External declarations (package visibility)               */
/************************************************************/

/* Inline functions                                         */

} // of namespace Agents
} // of namespace Classes
} // of namespace DDICore_40_PIM

/************************************************************
 End of Organization class header
 ************************************************************/

#endif
