// --------------------------------------------------------
// Code generated by Papyrus C++
// --------------------------------------------------------

#ifndef DDICORE_40_PIM_CLASSES_CONCEPTUAL_POPULATION_H
#define DDICORE_40_PIM_CLASSES_CONCEPTUAL_POPULATION_H

/************************************************************
 Population class header
 ************************************************************/

#include "DDICore_40_PIM/Classes/Conceptual/Pkg_Conceptual.h"

#include "DDICore_40_PIM/Classes/Conceptual/Universe.h"
#include "DDICore_40_PIM/DataTypes/StructuredDataTypes/DateRange.h"

namespace DDICore_40_PIM {
namespace Classes {
namespace Conceptual {
class Unit;
}
}
}

namespace DDICore_40_PIM {
namespace Classes {
namespace Conceptual {

/************************************************************/
/**
 * Definition
 * ============
 * universe with time and geography specified
 * 
 * Examples
 * ==========
 * 1. Canadian adult persons residing in Canada on 13 November 1956
 * 2. US computer companies at the end of 2012  
 * 3. Universities in Denmark 1 January 2011.
 * 
 * Explanatory notes
 * ===================
 * Population is the most specific in the conceptually narrowing hierarchy of UnitType, Universe and Population. Several Populations having differing time and or geography may specialize the same Universe.
 * 
 * Synonyms
 * ==========
 * 
 * 
 * DDI 3.2 mapping
 * =================
 * 
 * 
 * RDF mapping
 * =============
 * 
 * 
 * GSIM mapping
 * ==============
 * Population
 */
class Population: public Universe {
public:

	/**
	 * 
	 */
	Unit* [];

	/**
	 * 
	 */
	Universe;

	/**
	 * The time period associated with the Population
	 */
	::DDICore_40_PIM::DataTypes::StructuredDataTypes::DateRange timePeriodOfPopulation[];

};
/************************************************************/
/* External declarations (package visibility)               */
/************************************************************/

/* Inline functions                                         */

} // of namespace Conceptual
} // of namespace Classes
} // of namespace DDICore_40_PIM

/************************************************************
 End of Population class header
 ************************************************************/

#endif
