// --------------------------------------------------------
// Code generated by Papyrus C++
// --------------------------------------------------------

#ifndef DDICORE_40_PIM_CLASSES_DATASTRUCTURES_COMPONENTS_IDENTIFIERCOMPONENT_H
#define DDICORE_40_PIM_CLASSES_DATASTRUCTURES_COMPONENTS_IDENTIFIERCOMPONENT_H

/************************************************************
 IdentifierComponent class header
 ************************************************************/

#include "DDICore_40_PIM/Classes/DataStructures/Components/Pkg_Components.h"

#include "DDICore_40_PIM/Classes/DataStructures/Components/DataStructureComponent.h"
#include "DDICore_40_PIM/Classes/DataStructures/KeyValue/KeyValueStructure.h"
#include "DDICore_40_PIM/Classes/DataStructures/Long/LongDataStructure.h"
#include "DDICore_40_PIM/Classes/DataStructures/Wide/WideDataStructure.h"

namespace DDICore_40_PIM {
namespace Classes {
namespace DataStructures {
namespace Components {

/************************************************************/
/**
 * Definition
 * ============
 * role given to a Represented Variable in the context of a Data Structure to identify the unit in an organized collection of data.
 * 
 * Examples
 * ==========
 * 
 * 
 * 
 * Explanatory notes
 * ===================
 * An Identifier Component is a sub-type of Data Structure Component. The personal identification number of a Swedish citizen for unit data or the name of a country in the European Union for dimensional data.
 * 
 * Synonyms
 * ==========
 * 
 * 
 * DDI 3.2 mapping
 * =================
 * 
 * 
 * RDF mapping
 * =============
 * 
 * 
 * GSIM mapping
 * ==============
 * 
 */
class IdentifierComponent: public DataStructureComponent {
public:

	/**
	 * 
	 */
	::DDICore_40_PIM::Classes::DataStructures::KeyValue::KeyValueStructure;

	/**
	 * 
	 */
	::DDICore_40_PIM::Classes::DataStructures::Wide::WideDataStructure;

	/**
	 * 
	 */
	::DDICore_40_PIM::Classes::DataStructures::Long::LongDataStructure;

};
/************************************************************/
/* External declarations (package visibility)               */
/************************************************************/

/* Inline functions                                         */

} // of namespace Components
} // of namespace DataStructures
} // of namespace Classes
} // of namespace DDICore_40_PIM

/************************************************************
 End of IdentifierComponent class header
 ************************************************************/

#endif
