// --------------------------------------------------------
// Code generated by Papyrus C++
// --------------------------------------------------------

#ifndef DDICORE_40_PIM_CLASSES_DATASTRUCTURES_DIMENSIONAL_DIMENSIONALDATASET_H
#define DDICORE_40_PIM_CLASSES_DATASTRUCTURES_DIMENSIONAL_DIMENSIONALDATASET_H

/************************************************************
 DimensionalDataSet class header
 ************************************************************/

#include "DDICore_40_PIM/Classes/DataStructures/Dimensional/Pkg_Dimensional.h"

#include "DDICore_40_PIM/Classes/DataStructures/Dimensional/DimensionalDataStructure.h"
#include "DDICore_40_PIM/Classes/DataStructures/Dimensional/ScopedMeasure.h"

namespace DDICore_40_PIM {
namespace Classes {
namespace DataStructures {
namespace Dimensional {

/************************************************************/
/**
 * Definition
 * ============
 * Structural N-Cube with each Data Point populated with a Measurement (a set of Datums).
 *   Numerical additivity means the datatype family allows for adding values in rows or columns
 * 
 * 
 * Examples
 * ==========
 * A Cube with Income values in each cell, where the dimensions organizing the cells are Sex (male, female); Race (white, black, Asian, other); and Marital Status (single, married, divorced, widowed)
 * 
 * 
 * Explanatory notes
 * ===================
 * 
 * 
 * Synonyms
 * ==========
 * 
 * 
 * DDI 3.2 mapping
 * =================
 * 
 * 
 * RDF mapping
 * =============
 * 
 * 
 * GSIM mapping
 * ==============
 * 
 */
class DimensionalDataSet {
public:

	/**
	 *  
	 * A linguistic signifier. Human understandable name (word, phrase, or mnemonic) that reflects the ISO/IEC 11179-5 naming principles. If more than one name is provided provide a context to differentiate usage. 
	 */
	name[];

	/**
	 * 
	 */
	DimensionalDataStructure [];

	/**
	 * 
	 */
	ScopedMeasure [];

};
/************************************************************/
/* External declarations (package visibility)               */
/************************************************************/

/* Inline functions                                         */

} // of namespace Dimensional
} // of namespace DataStructures
} // of namespace Classes
} // of namespace DDICore_40_PIM

/************************************************************
 End of DimensionalDataSet class header
 ************************************************************/

#endif
