// --------------------------------------------------------
// Code generated by Papyrus C++
// --------------------------------------------------------

#ifndef DDICORE_40_PIM_CLASSES_IDENTIFICATION_ANNOTATEDIDENTIFIABLE_H
#define DDICORE_40_PIM_CLASSES_IDENTIFICATION_ANNOTATEDIDENTIFIABLE_H

/************************************************************
 AnnotatedIdentifiable class header
 ************************************************************/

#include "DDICore_40_PIM/Classes/Identification/Pkg_Identification.h"

#include "DDICore_40_PIM/Classes/Identification/Identifiable.h"
#include "DDICore_40_PIM/DataTypes/StructuredDataTypes/Annotation.h"

namespace DDICore_40_PIM {
namespace Classes {
namespace Identification {

/************************************************************/
/**
 * Definition
 * ============
 * Used to identify objects for purposes of internal and/or external referencing. Elements of this type are versioned. Provides identification and administrative metadata about the object. Adds optional annotation. Use this as the extension base for First Order Classes that contain intellectual content that needs to be discoverable in its own right.
 * 
 * Examples
 * ==========
 * 
 * 
 * Explanatory notes
 * ===================
 * 
 * 
 * Synonyms
 * ==========
 * 
 * 
 * DDI 3.2 mapping
 * =================
 * 
 * 
 * RDF mapping
 * =============
 * 
 * 
 * GSIM mapping
 * ==============
 */
class AnnotatedIdentifiable: public Identifiable {
public:

	/**
	 * Provides annotation information on the object to support citation and crediting of the creator(s) of the object.
	 */
	::DDICore_40_PIM::DataTypes::StructuredDataTypes::Annotation hasAnnotation;

};
/************************************************************/
/* External declarations (package visibility)               */
/************************************************************/

/* Inline functions                                         */

} // of namespace Identification
} // of namespace Classes
} // of namespace DDICore_40_PIM

/************************************************************
 End of AnnotatedIdentifiable class header
 ************************************************************/

#endif
