// --------------------------------------------------------
// Code generated by Papyrus C++
// --------------------------------------------------------

#ifndef DDICORE_40_PIM_CLASSES_REPRESENTATIONS_CLASSIFICATIONITEMRELATIONSTRUCTURE_H
#define DDICORE_40_PIM_CLASSES_REPRESENTATIONS_CLASSIFICATIONITEMRELATIONSTRUCTURE_H

/************************************************************
 ClassificationItemRelationStructure class header
 ************************************************************/

#include "DDICore_40_PIM/Classes/Representations/Pkg_Representations.h"

#include "DDICore_40_PIM/Classes/Enumerations/Pkg_Enumerations.h"
#include "DDICore_40_PIM/Classes/Identification/Identifiable.h"
#include "DDICore_40_PIM/DataTypes/StructuredDataTypes/ClassificationItemRelation.h"
#include "DDICore_40_PIM/DataTypes/StructuredDataTypes/ExternalControlledVocabularyEntry.h"
#include "DDICore_40_PIM/DataTypes/StructuredDataTypes/LabelForDisplay.h"

namespace DDICore_40_PIM {
namespace Classes {
namespace Representations {

/************************************************************/
/**
 * Definition
 * ============
 * complex RelationStructure for use with statistical classification
 * 
 * Examples
 * ==========
 * A ClassificationRelationStructure for ISCO-08 would describe each of the major classifications as a parent of its sub-classifications.   1 Managers, for example would be listed as a parent of four sub groups: 11 Chief Executives, Senior Officials and Legislators;  12 Chief Executives, Senior Officials and Legislators;  13 Production and Specialized Services Managers; and  14 Hospitality, Retail and Other Services Managers. 
 * 
 * Explanatory notes
 * ===================
 * The ClassificationItemRelationStructure has a set of ClassificationItemRelations which are basically adjacency lists. A source ClassificationItem has a described relationship to a target list of ClassificationItem. The semantic might be, for example, "parentOf", or "contains", etc.. 
 * 
 * Synonyms
 * ==========
 * 
 * 
 * DDI 3.2 mapping
 * =================
 * 
 * 
 * RDF mapping
 * =============
 * 
 * 
 * GSIM mapping
 * ==============
 */
class ClassificationItemRelationStructure: public ::DDICore_40_PIM::Classes::Identification::Identifiable {
public:

	/**
	 * A display label for the OrderRelation. May be expressed in multiple languages. Repeat for labels with different content, for example, labels with differing length limitations.
	 */
	::DDICore_40_PIM::DataTypes::StructuredDataTypes::LabelForDisplay displayLabel[];

	/**
	 * Member relations that comprise the relation structure
	 */
	::DDICore_40_PIM::DataTypes::StructuredDataTypes::ClassificationItemRelation hasMemberRelation[];

	/**
	 * Provides information on reflexivity, transitivity, and symmetry of relationship using a descriptive term from an ennumeration list.  Use if all relations within this relation structure are of the same specification.
	 */
	::DDICore_40_PIM::Classes::Enumerations::RelationSpecification hasRelationSpecification;

	/**
	 * Provides semantic context for the relationship
	 */
	::DDICore_40_PIM::DataTypes::StructuredDataTypes::ExternalControlledVocabularyEntry semantic;

	/**
	 * Type of relation in terms of totality with respect to an associated collection.
	 */
	::DDICore_40_PIM::Classes::Enumerations::TotalityType totality;

};
/************************************************************/
/* External declarations (package visibility)               */
/************************************************************/

/* Inline functions                                         */

} // of namespace Representations
} // of namespace Classes
} // of namespace DDICore_40_PIM

/************************************************************
 End of ClassificationItemRelationStructure class header
 ************************************************************/

#endif
