// --------------------------------------------------------
// Code generated by Papyrus C++
// --------------------------------------------------------

#ifndef DDICORE_40_PIM_CLASSES_REPRESENTATIONS_STATISTICALCLASSIFICATIONRELATIONSTRUCTURE_H
#define DDICORE_40_PIM_CLASSES_REPRESENTATIONS_STATISTICALCLASSIFICATIONRELATIONSTRUCTURE_H

/************************************************************
 StatisticalClassificationRelationStructure class header
 ************************************************************/

#include "DDICore_40_PIM/Classes/Representations/Pkg_Representations.h"

#include "DDICore_40_PIM/Classes/Enumerations/Pkg_Enumerations.h"
#include "DDICore_40_PIM/Classes/Identification/Identifiable.h"
#include "DDICore_40_PIM/DataTypes/StructuredDataTypes/ExternalControlledVocabularyEntry.h"
#include "DDICore_40_PIM/DataTypes/StructuredDataTypes/StatisticalClassificationRelation.h"

namespace DDICore_40_PIM {
namespace Classes {
namespace Representations {

/************************************************************/
/**
 * Definition
 * ============
 * structure for describing the complex relationships between statistical classifications in a classification series
 * 
 * Examples
 * ==========
 * A classification series that branches into separately versioned classifications
 * 
 * Explanatory notes
 * ===================
 * Can use relation specification information to more fully describe the relationship between members such as parent/child, whole/part, general/specific, equivalence, etc.
 * 
 * Synonyms
 * ==========
 * 
 * 
 * DDI 3.2 mapping
 * =================
 * 
 * 
 * RDF mapping
 * =============
 * 
 * 
 * GSIM mapping
 * ==============
 */
class StatisticalClassificationRelationStructure: public ::DDICore_40_PIM::Classes::Identification::Identifiable {
public:

	/**
	 * Member relations that comprise the relation structure
	 */
	::DDICore_40_PIM::DataTypes::StructuredDataTypes::StatisticalClassificationRelation hasMemberRelation[];

	/**
	 * Provides information on reflexivity, transitivity, and symmetry of relationship using a descriptive term from an enumeration list.  Use if all relations within this relation structure are of the same specification.
	 */
	::DDICore_40_PIM::Classes::Enumerations::RelationSpecification hasRelationSpecification;

	/**
	 * Provides semantic context for the relationship
	 */
	::DDICore_40_PIM::DataTypes::StructuredDataTypes::ExternalControlledVocabularyEntry semantic;

	/**
	 * Type of relation in terms of totality with respect to an associated collection.
	 */
	::DDICore_40_PIM::Classes::Enumerations::TotalityType totality;

};
/************************************************************/
/* External declarations (package visibility)               */
/************************************************************/

/* Inline functions                                         */

} // of namespace Representations
} // of namespace Classes
} // of namespace DDICore_40_PIM

/************************************************************
 End of StatisticalClassificationRelationStructure class header
 ************************************************************/

#endif
