// --------------------------------------------------------
// Code generated by Papyrus C++
// --------------------------------------------------------

#ifndef DDICORE_40_PIM_DATATYPES_STRUCTUREDDATATYPES_EMAIL_H
#define DDICORE_40_PIM_DATATYPES_STRUCTUREDDATATYPES_EMAIL_H

/************************************************************
 Email class header
 ************************************************************/

#include "DDICore_40_PIM/DataTypes/StructuredDataTypes/Pkg_StructuredDataTypes.h"

#include "DDICore_40_PIM/DataTypes/StructuredDataTypes/DateRange.h"
#include "DDICore_40_PIM/DataTypes/StructuredDataTypes/ExternalControlledVocabularyEntry.h"
#include "PrimitiveTypes/Pkg_PrimitiveTypes.h"

namespace DDICore_40_PIM {
namespace DataTypes {
namespace StructuredDataTypes {

/************************************************************/
/**
 * Definition
 * ============
 * An e-mail address which conforms to the internet format (RFC 822) including its type and time period for which it is valid.
 * 
 * Examples
 * ==========
 * info@ddialliance.org; ex.ample@somewhere.org
 * 
 * Explanatory notes
 * ===================
 * 
 * 
 * Synonyms
 * ==========
 * e-mail address; internet email address
 * 
 * DDI 3.2 mapping
 * =================
 * r:EmailType
 * 
 * RDF mapping
 * =============
 * 
 * 
 * GSIM mapping
 * ==============
 */
class Email {
public:

	/**
	 * Time period for which the e-mail address is valid.
	 */
	DateRange effectiveDates;

	/**
	 * The email address expressed as a string (should follow the Internet format specification - RFC 5322) e.g. user@server.ext, more complex and flexible examples are also supported by the format.
	 */
	::PrimitiveTypes::String internetEmail;

	/**
	 * Set to true if this is the preferred email
	 */
	::PrimitiveTypes::Boolean isPreferred;

	/**
	 * Indicates the level of privacy
	 */
	ExternalControlledVocabularyEntry privacy;

	/**
	 * Code indicating the type of e-mail address. Supports the use of an external controlled vocabulary. (e.g. home, office)
	 */
	ExternalControlledVocabularyEntry typeOfEmail;

};
/************************************************************/
/* External declarations (package visibility)               */
/************************************************************/

/* Inline functions                                         */

} // of namespace StructuredDataTypes
} // of namespace DataTypes
} // of namespace DDICore_40_PIM

/************************************************************
 End of Email class header
 ************************************************************/

#endif
