// --------------------------------------------------------
// Code generated by Papyrus C++
// --------------------------------------------------------

#ifndef DDICORE_40_PIM_DATATYPES_STRUCTUREDDATATYPES_LANGUAGESPECIFICSTRINGTYPE_H
#define DDICORE_40_PIM_DATATYPES_STRUCTUREDDATATYPES_LANGUAGESPECIFICSTRINGTYPE_H

/************************************************************
 LanguageSpecificStringType class header
 ************************************************************/

#include "DDICore_40_PIM/DataTypes/StructuredDataTypes/Pkg_StructuredDataTypes.h"

#include "DDICore_40_PIM/DataTypes/XMLSchemaDatatypes/Pkg_XMLSchemaDatatypes.h"
#include "PrimitiveTypes/Pkg_PrimitiveTypes.h"

namespace DDICore_40_PIM {
namespace DataTypes {
namespace StructuredDataTypes {

/************************************************************/
/**
 * Definition
 * ============
 * Allows for non-formatted language specific strings that may be translations from other languages, or that may be translatable into other languages. Only one string per language/scope type is allowed. LanguageSpecificString contains the following attributes, xmlang to designate the language, isTranslated with a default value of false to designate if an object is a translation of another language, isTranslatable with a default value of true to designate if the content can be translated, translationSourceLanguage to indicate the source languages used in creating this translation,  translationDate, and scope which can be used to define intended audience or use such as internal, external, etc.
 * 
 * Examples
 * ==========
 * 
 * 
 * Explanatory notes
 * ===================
 * 
 * 
 * Synonyms
 * ==========
 * 
 * 
 * DDI 3.2 mapping
 * =================
 * r:StringType
 * 
 * RDF mapping
 * =============
 * 
 * 
 * GSIM mapping
 * ==============
 */
class LanguageSpecificStringType {
public:

	/**
	 * Value of this string
	 */
	::PrimitiveTypes::String content;

	/**
	 * Indicates whether content is translatable (true) or not (false). An example of something that is not translatable would be a MNEMONIC of an object or a number.
	 */
	::PrimitiveTypes::Boolean isTranslatable;

	/**
	 * Indicates whether content is a translation (true) or an original (false).
	 */
	::PrimitiveTypes::Boolean isTranslated;

	/**
	 * Indicates the language of content. Note that language allows for a simple 2 or 3 character language code or a language code extended by a country code , for example en-au for English as used in Australia.
	 */
	language language;

	/**
	 * Supports specification of scope for the contained content. Use with the language specification to filter application of content.
	 */
	::PrimitiveTypes::String scope;

	/**
	 * The date the content was translated. Provision of translation date allows user to verify if translation was available during data collection or other time linked activity.
	 */
	UnlimitedNatural translationDate;

	/**
	 * List the language code of the source. Repeat of multiple language sources are used.
	 */
	language translationSourceLanguage[];

};
/************************************************************/
/* External declarations (package visibility)               */
/************************************************************/

/* Inline functions                                         */

} // of namespace StructuredDataTypes
} // of namespace DataTypes
} // of namespace DDICore_40_PIM

/************************************************************
 End of LanguageSpecificStringType class header
 ************************************************************/

#endif
