// --------------------------------------------------------
// Code generated by Papyrus C++
// --------------------------------------------------------

#ifndef DDICORE_40_PIM_DATATYPES_STRUCTUREDDATATYPES_LEVEL_H
#define DDICORE_40_PIM_DATATYPES_STRUCTUREDDATATYPES_LEVEL_H

/************************************************************
 Level class header
 ************************************************************/

#include "DDICore_40_PIM/DataTypes/StructuredDataTypes/Pkg_StructuredDataTypes.h"

#include "DDICore_40_PIM/Classes/Conceptual/Concept.h"
#include "DDICore_40_PIM/DataTypes/StructuredDataTypes/LabelForDisplay.h"
#include "PrimitiveTypes/Pkg_PrimitiveTypes.h"

namespace DDICore_40_PIM {
namespace DataTypes {
namespace StructuredDataTypes {

/************************************************************/
/**
 * Definition
 * ============
 * Provides Level information for the members of the LevelStructure. levelNumber provides the level number which may or may not be associated with a category which defines level.
 * 
 * Examples
 * ==========
 * 
 * 
 * Explanatory notes
 * ===================
 * ISCO-08: index='1' label of associated category 'Major',  index='2' label of associated category 'Sub-Major',  index='3' label of associated category 'Minor', 
 * 
 * Synonyms
 * ==========
 * 
 * 
 * DDI 3.2 mapping
 * =================
 * 
 * 
 * RDF mapping
 * =============
 * 
 * 
 * GSIM mapping
 * ==============
 */
class Level {
public:

	/**
	 * A display label for the object. May be expressed in multiple languages. Repeat for labels with different content, for example, labels with differing length limitations.
	 */
	LabelForDisplay displayLabel[];

	/**
	 * Provides an association between a level number and optional concept which defines it within an ordered array. Use is required.
	 */
	::PrimitiveTypes::Integer levelNumber;

	/**
	 * 
	 */
	::DDICore_40_PIM::Classes::Conceptual::Concept;

};
/************************************************************/
/* External declarations (package visibility)               */
/************************************************************/

/* Inline functions                                         */

} // of namespace StructuredDataTypes
} // of namespace DataTypes
} // of namespace DDICore_40_PIM

/************************************************************
 End of Level class header
 ************************************************************/

#endif
