// --------------------------------------------------------
// Code generated by Papyrus C++
// --------------------------------------------------------

#ifndef DDICORE_40_PIM_DATATYPES_STRUCTUREDDATATYPES_NUMBERRANGEVALUE_H
#define DDICORE_40_PIM_DATATYPES_STRUCTUREDDATATYPES_NUMBERRANGEVALUE_H

/************************************************************
 NumberRangeValue class header
 ************************************************************/

#include "DDICore_40_PIM/DataTypes/StructuredDataTypes/Pkg_StructuredDataTypes.h"

#include "PrimitiveTypes/Pkg_PrimitiveTypes.h"

namespace DDICore_40_PIM {
namespace DataTypes {
namespace StructuredDataTypes {

/************************************************************/
/**
 * Definition
 * ============
 * Describes a bounding value for a number range expressed as an xs:demical.
 * 
 * Examples
 * ==========
 * 
 * 
 * Explanatory notes
 * ===================
 * 
 * 
 * Synonyms
 * ==========
 * 
 * 
 * DDI 3.2 mapping
 * =================
 * r:NumberRangeValueType
 * 
 * RDF mapping
 * =============
 * 
 * 
 * GSIM mapping
 * ==============
 */
class NumberRangeValue {
public:

	/**
	 * Bounding value expressed as an xs:double
	 */
	::PrimitiveTypes::Real decimalValue;

	/**
	 * Indicates that the value is included in the range. Set to false if the range includes numbers up to but no including the designated value.
	 */
	::PrimitiveTypes::Boolean isInclusive;

};
/************************************************************/
/* External declarations (package visibility)               */
/************************************************************/

/* Inline functions                                         */

} // of namespace StructuredDataTypes
} // of namespace DataTypes
} // of namespace DDICore_40_PIM

/************************************************************
 End of NumberRangeValue class header
 ************************************************************/

#endif
