// --------------------------------------------------------
// Code generated by Papyrus C++
// --------------------------------------------------------

#ifndef DDICORE_40_PIM_DATATYPES_STRUCTUREDDATATYPES_SPATIALPOINT_H
#define DDICORE_40_PIM_DATATYPES_STRUCTUREDDATATYPES_SPATIALPOINT_H

/************************************************************
 SpatialPoint class header
 ************************************************************/

#include "DDICore_40_PIM/DataTypes/StructuredDataTypes/Pkg_StructuredDataTypes.h"

#include "DDICore_40_PIM/DataTypes/StructuredDataTypes/SpatialCoordinate.h"

namespace DDICore_40_PIM {
namespace DataTypes {
namespace StructuredDataTypes {

/************************************************************/
/**
 * Definition
 * ============
 * A geographic point consisting of an X and Y coordinate. Each coordinate value is expressed separately providing its value and format.
 * 
 * Examples
 * ==========
 * 
 * 
 * Explanatory notes
 * ===================
 * 
 * 
 * Synonyms
 * ==========
 * 
 * 
 * DDI 3.2 mapping
 * =================
 * r:PointType
 * 
 * RDF mapping
 * =============
 * 
 * 
 * GSIM mapping
 * ==============
 */
class SpatialPoint {
public:

	/**
	 * An X coordinate (latitudinal equivalent) value and format expressed using the Spatial Coordinate structure.
	 */
	SpatialCoordinate xCoordinate;

	/**
	 * A Y coordinate (longitudinal equivalent) value and format expressed using the Spatial Coordinate structure.
	 */
	SpatialCoordinate yCoordinate;

};
/************************************************************/
/* External declarations (package visibility)               */
/************************************************************/

/* Inline functions                                         */

} // of namespace StructuredDataTypes
} // of namespace DataTypes
} // of namespace DDICore_40_PIM

/************************************************************
 End of SpatialPoint class header
 ************************************************************/

#endif
