// --------------------------------------------------------
// Code generated by Papyrus C++
// --------------------------------------------------------

#ifndef DDICORE_40_PIM_DATATYPES_STRUCTUREDDATATYPES_SPATIALRELATIONSHIP_H
#define DDICORE_40_PIM_DATATYPES_STRUCTUREDDATATYPES_SPATIALRELATIONSHIP_H

/************************************************************
 SpatialRelationship class header
 ************************************************************/

#include "DDICore_40_PIM/DataTypes/StructuredDataTypes/Pkg_StructuredDataTypes.h"

#include "DDICore_40_PIM/Classes/Enumerations/Pkg_Enumerations.h"
#include "DDICore_40_PIM/DataTypes/StructuredDataTypes/Date.h"

namespace DDICore_40_PIM {
namespace DataTypes {
namespace StructuredDataTypes {

/************************************************************/
/**
 * Definition
 * ============
 * Used to specify a relationship between one spatial object and another. Includes definition of the spatial object types being related, the spatial relation specification, and the event date.
 * 
 * Examples
 * ==========
 * 
 * 
 * Explanatory notes
 * ===================
 * 
 * 
 * Synonyms
 * ==========
 * 
 * 
 * DDI 3.2 mapping
 * =================
 * 
 * 
 * RDF mapping
 * =============
 * 
 * 
 * GSIM mapping
 * ==============
 */
class SpatialRelationship {
public:

	/**
	 * The date of the relationship change.
	 */
	Date eventDate;

	/**
	 * Provides the types of the two spatial objects.
	 */
	::DDICore_40_PIM::Classes::Enumerations::SpatialObjectPairs hasSpatialObjectPair;

	/**
	 * Defines the relationship of the two spatial objects
	 */
	::DDICore_40_PIM::Classes::Enumerations::SpatialRelationSpecification hasSpatialRelationSpecification;

};
/************************************************************/
/* External declarations (package visibility)               */
/************************************************************/

/* Inline functions                                         */

} // of namespace StructuredDataTypes
} // of namespace DataTypes
} // of namespace DDICore_40_PIM

/************************************************************
 End of SpatialRelationship class header
 ************************************************************/

#endif
