// --------------------------------------------------------
// Code generated by Papyrus C++
// --------------------------------------------------------

#ifndef DDICORE_40_PIM_DATATYPES_STRUCTUREDDATATYPES_SUMMARYSTATISTIC_H
#define DDICORE_40_PIM_DATATYPES_STRUCTUREDDATATYPES_SUMMARYSTATISTIC_H

/************************************************************
 SummaryStatistic class header
 ************************************************************/

#include "DDICore_40_PIM/DataTypes/StructuredDataTypes/Pkg_StructuredDataTypes.h"

#include "DDICore_40_PIM/DataTypes/StructuredDataTypes/ExternalControlledVocabularyEntry.h"
#include "DDICore_40_PIM/DataTypes/StructuredDataTypes/Statistic.h"

namespace DDICore_40_PIM {
namespace DataTypes {
namespace StructuredDataTypes {

/************************************************************/
/**
 * Definition
 * ============
 * Describes summary statistics for a variable.
 * 
 * Examples
 * ==========
 * Mean, standard deviation
 * 
 * Explanatory notes
 * ===================
 * 
 * 
 * Synonyms
 * ==========
 * 
 * 
 * DDI 3.2 mapping
 * =================
 * pi:SummaryStatisticType
 * 
 * RDF mapping
 * =============
 * 
 * 
 * GSIM mapping
 * ==============
 */
class SummaryStatistic {
public:

	/**
	 * The value of the statistics and whether it is weighted and/or includes missing values. May expressed as xs:decimal and/or xs:double
	 */
	Statistic hasStatistic[];

	/**
	 * Type of summary statistic, such as count, mean, mode, median, etc. Supports the use of an external controlled vocabulary. DDI strongly recommends the use of a controlled vocabulary.
	 */
	ExternalControlledVocabularyEntry typeOfSummaryStatistic;

};
/************************************************************/
/* External declarations (package visibility)               */
/************************************************************/

/* Inline functions                                         */

} // of namespace StructuredDataTypes
} // of namespace DataTypes
} // of namespace DDICore_40_PIM

/************************************************************
 End of SummaryStatistic class header
 ************************************************************/

#endif
