// --------------------------------------------------------
// Code generated by Papyrus C++
// --------------------------------------------------------

#ifndef DDICORE_40_PIM_DATATYPES_STRUCTUREDDATATYPES_TELEPHONE_H
#define DDICORE_40_PIM_DATATYPES_STRUCTUREDDATATYPES_TELEPHONE_H

/************************************************************
 Telephone class header
 ************************************************************/

#include "DDICore_40_PIM/DataTypes/StructuredDataTypes/Pkg_StructuredDataTypes.h"

#include "DDICore_40_PIM/DataTypes/StructuredDataTypes/DateRange.h"
#include "DDICore_40_PIM/DataTypes/StructuredDataTypes/ExternalControlledVocabularyEntry.h"
#include "PrimitiveTypes/Pkg_PrimitiveTypes.h"

namespace DDICore_40_PIM {
namespace DataTypes {
namespace StructuredDataTypes {

/************************************************************/
/**
 * Definition
 * ============
 * Details of a telephone number including the number, type of number, a privacy setting and an indication of whether this is the preferred contact number.
 * 
 * Examples
 * ==========
 * +12 345 67890123
 * 
 * Explanatory notes
 * ===================
 * 
 * 
 * Synonyms
 * ==========
 * 
 * 
 * DDI 3.2 mapping
 * =================
 * a:TelephoneType
 * 
 * RDF mapping
 * =============
 * 
 * 
 * GSIM mapping
 * ==============
 */
class Telephone {
public:

	/**
	 * Time period during which the telephone number is valid.
	 */
	DateRange effectiveDates;

	/**
	 * Set to "true" if this is the preferred telephone number for contact.
	 */
	::PrimitiveTypes::Boolean isPreferred;

	/**
	 * Specify the level privacy for the telephone number as public, restricted, or private. Supports the use of an external controlled vocabulary.
	 */
	ExternalControlledVocabularyEntry privacy;

	/**
	 * The telephone number including country code if appropriate.
	 */
	::PrimitiveTypes::String telephoneNumber;

	/**
	 * Indicates type of telephone number provided (home, fax, office, cell, etc.). Supports the use of a controlled vocabulary.
	 */
	ExternalControlledVocabularyEntry typeOfTelephone;

};
/************************************************************/
/* External declarations (package visibility)               */
/************************************************************/

/* Inline functions                                         */

} // of namespace StructuredDataTypes
} // of namespace DataTypes
} // of namespace DDICore_40_PIM

/************************************************************
 End of Telephone class header
 ************************************************************/

#endif
