// --------------------------------------------------------
// Code generated by Papyrus Java
// --------------------------------------------------------

package DDICore_40_PIM.Classes.Conceptual;

/************************************************************/
/**
 * Definition
  * ============
  * set of Concepts structured by the relations among them. [GSIM 1.1] 
  * 
  * Examples
  * ==========
  * 1) Concept of Sex: Male, Female, Other 2) Concept of Household Relationship: Household Head, Spouse of Household Head, Child of Household Head, Unrelated Household Member, etc.  
  * 
  * Explanatory notes
  * ===================
  * Note that this structure can be used to structure Concept, Classification, Universe, Population, Unit Type and any other class that extends from Concept.
  * 
  * Synonyms
  * ==========
  * 
  * 
  * DDI 3.2 mapping
  * =================
  * c:ConceptSchemeType
  * 
  * RDF mapping
  * =============
  * 
  * 
  * GSIM mapping
  * ==============
  * Concept System
 */
public class ConceptSystem extends AnnotatedIdentifiable
 {
				/**
				 * MemberIndicator Allows for the identification of the member and optionally provides an index for the member within an ordered array
				 */
				public ConceptIndicator[] contains;
				/**
				 * If members are ordered set to true, if unordered set to false.
				 */
				public boolean isOrdered;
				/**
				 * A linguistic signifier. Human understandable name (word, phrase, or mnemonic) that reflects the ISO/IEC 11179-5 naming principles. If more than one name is provided provide a context to differentiate usage.
				 */
				public ObjectName[] name;
				/**
				 * 
				 */
				public ConceptRelationStructure[] ;
				/**
				 * 
				 */
				public Concept[] ;
				/**
				 * Explanation of the intent of some decision or object. Supports the use of multiple languages and structured text.
				 */
				public InternationalStructuredString purpose;
				/**
				 * Whether the collection is a bag or a set: a bag is a collection with duplicates allowed, a set is a collection without duplicates.
				 */
				public CollectionType type;
};
