// --------------------------------------------------------
// Code generated by Papyrus Java
// --------------------------------------------------------

package DDICore_40_PIM.Classes.Representations;

import DDICore_40_PIM.Classes.Representations.EnumerationDomain;
import DDICore_40_PIM.DataTypes.StructuredDataTypes.InternationalStructuredString;
import DDICore_40_PIM.DataTypes.StructuredDataTypes.ObjectName;

/************************************************************/
/**
 * Definition--
  * ============
  * list of Codes and associated Categories
  * 
  * Examples
  * ==========
  * The codes "M" and "F" could point to "Male" and "Female" categories respectively.
  * 
  * A CodeList for an occupational classification system like ISCO-08 could use a ClassificationRelationStructure to describe a hierarchy (Chief Executives and Administrative and Commercial Managers as subtypes of Managers)
  * 
  * 
  * Explanatory notes
  * ===================
  * List may be flat or hierarchical. A hierarchical structure may have an indexed order for intended presentation even though the content within levels of the hierarchy are conceptually unordered. For hierarchical structures ClassificationRelationStructure is used to provide additional information on the structure and organization of the categories. Note that a CategorySet can be structured by a ClassificationRelationStructure without the need for associating any Codes with the Categories. This allows for the creation of a CategorySet, for example for a response domain, without an associated CodeList.
  * 
  * Synonyms
  * ==========
  * 
  * 
  * DDI 3.2 mapping
  * =================
  * l:CodeListType
  * 
  * RDF mapping
  * =============
  * 
  * 
  * GSIM mapping
  * ==============
  * Code List
 */
public class CodeList extends EnumerationDomain {
	/**
	 * 
	 */
	public boolean duplicates;
	/**
	 * 
	 */
	public ObjectName[] name;
	/**
	 * 
	 */
	public InternationalStructuredString purpose;
};
