// --------------------------------------------------------
// Code generated by Papyrus Java
// --------------------------------------------------------

package DDICore_40_PIM.Classes.Representations;

import DDICore_40_PIM.Classes.Identification.Identifiable;
import DDICore_40_PIM.Classes.Representations.CodeList;
import DDICore_40_PIM.DataTypes.NewEnumerations.TopologyType;
import DDICore_40_PIM.DataTypes.NewEnumerations.TotalityType;
import DDICore_40_PIM.DataTypes.NewStructuredDataTypes.SpecificationType;
import DDICore_40_PIM.DataTypes.StructuredDataTypes.ExternalControlledVocabularyEntry;
import DDICore_40_PIM.DataTypes.StructuredDataTypes.InternationalStructuredString;
import DDICore_40_PIM.DataTypes.StructuredDataTypes.ObjectName;

/************************************************************/
/**
 * Definition
  * ============
  * relation structure of codes within a codelist
  * 
  * Examples
  * ==========
  * 
  * 
  * Explanatory notes
  * ===================
  * Allows for the specification of complex relationships among codes. The CodeRelationStructure employs a set of CodeRelations to describe the relationship among concepts. Each CodeRelation is a one to many description of connections between codes. Together they might commonly describe relationships as complex as a hierarchy.
  * 
  * 
  * Synonyms
  * ==========
  * 
  * 
  * DDI 3.2 mapping
  * =================
  * 
  * 
  * RDF mapping
  * =============
  * 
  * 
  * GSIM mapping
  * ==============
 */
public class CodeListStructure extends Identifiable
 {
				/**
				 * 
				 */
				public ObjectName[] name;
				/**
				 * 
				 */
				public CodeList ;
				/**
				 * 
				 */
				public InternationalStructuredString purpose;
				/**
				 * Provides semantic context for the relationship
				 */
				public ExternalControlledVocabularyEntry semantic;
				/**
				 * 
				 */
				public SpecificationType specification;
				/**
				 * 
				 */
				public TopologyType topology;
				/**
				 * Type of relation in terms of totality with respect to an associated collection
				 */
				public TotalityType totality;
};
