// --------------------------------------------------------
// Code generated by Papyrus Java
// --------------------------------------------------------

package DDICore_40_PIM.Classes.Representations;

import DDICore_40_PIM.Classes.Agents.Agent;
import DDICore_40_PIM.Classes.Identification.AnnotatedIdentifiable;
import DDICore_40_PIM.Classes.Representations.LevelStructure;
import DDICore_40_PIM.Classes.Representations.StatisticalClassification;
import DDICore_40_PIM.DataTypes.StructuredDataTypes.DateRange;
import DDICore_40_PIM.DataTypes.StructuredDataTypes.Map;

/************************************************************/
/**
 * Definition
  * ============
  * set of relationships between the members within or between StatisticalClassifications
  * 
  * Examples
  * ==========
  * Correspondence between the U.S. Standard Industrial Classification (SIC) and North American Industrial Classification System (NAICS)
  * 
  * Explanatory notes
  * ===================
  * CorrespondenceTables are used with Statistical Classifications. For instance, it can relate two versions from the same Classification Series; Statistical Classifications from different Classification Series; a variant and the version on which it is based; or, different versions of a variant. In the first and last examples, the Correspondence Table facilitates comparability over time.
  * 
  * Synonyms
  * ==========
  * 
  * 
  * DDI 3.2 mapping
  * =================
  * 
  * 
  * RDF mapping
  * =============
  * 
  * 
  * GSIM mapping
  * ==============
  * Correspondence Table
 */
public class CorrespondenceTable extends AnnotatedIdentifiable
 {
				/**
				 * Set of mappings between nodes that participate in the correspondence.
				 */
				public Map[] correspondence;
				/**
				 * Effective period of validity of the CorrespondenceTable. The correspondence table expresses the relationships between the two NodeSets as they existed on the period specified in the table.
				 */
				public DateRange effectiveDates;
				/**
				 * 
				 */
				public LevelStructure ;
				/**
				 * 
				 */
				public LevelStructure ;
				/**
				 * 
				 */
				public Agent[] ;
				/**
				 * 
				 */
				public Agent[] ;
				/**
				 * 
				 */
				public Agent ;
				/**
				 * 
				 */
				public StatisticalClassification[] ;
};
