// --------------------------------------------------------
// Code generated by Papyrus Java
// --------------------------------------------------------

package DDICore_40_PIM.Classes.Representations;

import DDICore_40_PIM.Classes.Enumerations.RelationSpecification;
import DDICore_40_PIM.Classes.Enumerations.TotalityType;
import DDICore_40_PIM.Classes.Identification.Identifiable;
import DDICore_40_PIM.DataTypes.StructuredDataTypes.ExternalControlledVocabularyEntry;
import DDICore_40_PIM.DataTypes.StructuredDataTypes.StatisticalClassificationRelation;

/************************************************************/
/**
 * Definition
  * ============
  * structure for describing the complex relationships between statistical classifications in a classification series
  * 
  * Examples
  * ==========
  * A classification series that branches into separately versioned classifications
  * 
  * Explanatory notes
  * ===================
  * Can use relation specification information to more fully describe the relationship between members such as parent/child, whole/part, general/specific, equivalence, etc.
  * 
  * Synonyms
  * ==========
  * 
  * 
  * DDI 3.2 mapping
  * =================
  * 
  * 
  * RDF mapping
  * =============
  * 
  * 
  * GSIM mapping
  * ==============
 */
public class StatisticalClassificationRelationStructure extends Identifiable {
	/**
	 * Member relations that comprise the relation structure
	 */
	public StatisticalClassificationRelation[] hasMemberRelation;
	/**
	 * Provides information on reflexivity, transitivity, and symmetry of relationship using a descriptive term from an enumeration list.  Use if all relations within this relation structure are of the same specification.
	 */
	public RelationSpecification hasRelationSpecification;
	/**
	 * Provides semantic context for the relationship
	 */
	public ExternalControlledVocabularyEntry semantic;
	/**
	 * Type of relation in terms of totality with respect to an associated collection.
	 */
	public TotalityType totality;
};
