// --------------------------------------------------------
// Code generated by Papyrus Java
// --------------------------------------------------------

package DDICore_40_PIM.Classes.Representations;

import DDICore_40_PIM.Classes.Identification.AnnotatedIdentifiable;
import DDICore_40_PIM.DataTypes.StructuredDataTypes.ExternalControlledVocabularyEntry;
import DDICore_40_PIM.DataTypes.StructuredDataTypes.LabelForDisplay;

/************************************************************/
/**
 * Definition
  * ============
  * set of permissible values for a variable [
  * adapted from ISO/IEC 11179]
  * 
  * Examples
  * ==========
  * Age categories with a numeric code list; Age in years; Young, Middle-aged and Old
  * 
  * Explanatory notes
  * ===================
  * The values can be described by enumeration or by an expression. Value domains can be either substantive/sentinel, or described/enumeration
  * 
  * Synonyms
  * ==========
  * BUT NOT Grid/Numeric/Code/*_ResponseDomain [DDI-L/Questions] - this is "ResponseDomain"
  * 
  * DDI 3.2 mapping
  * =================
  * r:RepresentationType
  * 
  * RDF mapping
  * =============
  * 
  * 
  * GSIM mapping
  * ==============
  * Value Domain
 */
public abstract class ValueDomain extends AnnotatedIdentifiable {
	/**
	 * A display label for the object. May be expressed in multiple languages. Repeat for labels with different content, for example, labels with differing length limitations.
	 */
	public LabelForDisplay[] displayLabel;
	/**
	 * The data types that are recommended for use with this domain
	 */
	public ExternalControlledVocabularyEntry[] recommendedDataType;
};
