// --------------------------------------------------------
// Code generated by Papyrus Java
// --------------------------------------------------------

package DDICore_40_PIM.DataTypes.StructuredDataTypes;

import DDICore_40_PIM.Classes.Agents.Agent;
import DDICore_40_PIM.DataTypes.StructuredDataTypes.BibliographicName;
import DDICore_40_PIM.DataTypes.StructuredDataTypes.PairedExternalControlledVocabularyEntry;

/************************************************************/
/**
 * Definition
  * ============
  * A basic structure for declaring the name of an Agent inline, reference to an Agent, and role specification. This object is used primarily within Annotation.
  * 
  * 
  * Examples
  * ==========
  * 
  * 
  * Explanatory notes
  * ===================
  * 
  * 
  * Synonyms
  * ==========
  * 
  * 
  * DDI 3.2 mapping
  * =================
  * r:ContributorType
  * 
  * RDF mapping
  * =============
  * 
  * 
  * GSIM mapping
  * ==============
 */
public class AgentAssociation {
				/**
				 * Full name of the contributor. Language equivalents should be expressed within the International String structure.
				 */
				public BibliographicName agentName;
				/**
				 * 
				 */
				public Agent ;
				/**
				 * The role of the of the Agent within the context of the parent property name with information on the extent to which the role applies. Allows for use of external controlled vocabularies. Reference should be made to the vocabulary within the structure of the role. Recommended role for contributors can be found in the CASRAI Contributor Roles Vocabulary (CRediT) http://dictionary.casrai.org/Contributor_Roles, or the OPENRIF contribution ontology https://github.com/openrif/contribution-ontology
				 */
				public PairedExternalControlledVocabularyEntry[] role;
};
