// --------------------------------------------------------
// Code generated by Papyrus Java
// --------------------------------------------------------

package DDICore_40_PIM.DataTypes.StructuredDataTypes;

import DDICore_40_PIM.DataTypes.StructuredDataTypes.ExternalControlledVocabularyEntry;
import DDICore_40_PIM.DataTypes.StructuredDataTypes.InternationalString;

/************************************************************/
/**
 * Definition
  * ============
  * Identifies and provides a link to an external copy of the command, for example, a SAS Command Code script. Designates the programming language of the command file, a description of the location of the file , and a URN or URL for the command file.
  * 
  * Examples
  * ==========
  * 
  * 
  * Explanatory notes
  * ===================
  * 
  * 
  * Synonyms
  * ==========
  * 
  * 
  * DDI 3.2 mapping
  * =================
  * r:CommandFileType
  * 
  * RDF mapping
  * =============
  * 
  * 
  * GSIM mapping
  * ==============
 */
public class CommandFile {
	/**
	 * A description of the location of the file. This may not be machine actionable. It supports a description expressed in multiple languages.
	 */
	public InternationalString location;
	/**
	 * Designates the programming language used for the command. Supports the use of a controlled vocabulary.
	 */
	public ExternalControlledVocabularyEntry programLanguage;
	/**
	 * The URL or URN of the command file.
	 */
	public DDICore_40_PIM.DataTypes.XMLSchemaDatatypes.anyURI uri;
};
