// --------------------------------------------------------
// Code generated by Papyrus Java
// --------------------------------------------------------

package DDICore_40_PIM.DataTypes.StructuredDataTypes;

import DDICore_40_PIM.DataTypes.StructuredDataTypes.Address;
import DDICore_40_PIM.DataTypes.StructuredDataTypes.ElectronicMessageSystem;
import DDICore_40_PIM.DataTypes.StructuredDataTypes.Email;
import DDICore_40_PIM.DataTypes.StructuredDataTypes.Telephone;
import DDICore_40_PIM.DataTypes.StructuredDataTypes.WebLink;

/************************************************************/
/**
 * Definition
  * ============
  * Contact information for the individual or organization including location specification, address, web site, phone numbers, and other means of communication access. Address, location, telephone, and other means of communication can be repeated to express multiple means of a single type or change over time. Each major piece of contact information contains the element EffectiveDates in order to date stamp the period for which the information is valid.
  * 
  * Examples
  * ==========
  * 
  * 
  * Explanatory notes
  * ===================
  * 
  * 
  * Synonyms
  * ==========
  * 
  * 
  * DDI 3.2 mapping
  * =================
  * a:ContactInformationType
  * 
  * RDF mapping
  * =============
  * 
  * 
  * GSIM mapping
  * ==============
 */
public class ContactInformation {
	/**
	 * Electronic messaging other than email
	 */
	public ElectronicMessageSystem[] electronicMessaging;
	/**
	 * The address for contact.
	 */
	public Address[] hasAddress;
	/**
	 * Email contact information
	 */
	public Email[] hasEmail;
	/**
	 * Telephone for contact
	 */
	public Telephone[] hasTelephone;
	/**
	 * The URL of the Agent's website
	 */
	public WebLink[] website;
};
