// --------------------------------------------------------
// Code generated by Papyrus Java
// --------------------------------------------------------

package DDICore_40_PIM.DataTypes.StructuredDataTypes;

/************************************************************/
/**
 * Definition
  * ============
  * Allows for non-formatted language specific strings that may be translations from other languages, or that may be translatable into other languages. Only one string per language/scope type is allowed. LanguageSpecificString contains the following attributes, xmlang to designate the language, isTranslated with a default value of false to designate if an object is a translation of another language, isTranslatable with a default value of true to designate if the content can be translated, translationSourceLanguage to indicate the source languages used in creating this translation,  translationDate, and scope which can be used to define intended audience or use such as internal, external, etc.
  * 
  * Examples
  * ==========
  * 
  * 
  * Explanatory notes
  * ===================
  * 
  * 
  * Synonyms
  * ==========
  * 
  * 
  * DDI 3.2 mapping
  * =================
  * r:StringType
  * 
  * RDF mapping
  * =============
  * 
  * 
  * GSIM mapping
  * ==============
 */
public class LanguageSpecificStringType {
	/**
	 * Value of this string
	 */
	public String content;
	/**
	 * Indicates whether content is translatable (true) or not (false). An example of something that is not translatable would be a MNEMONIC of an object or a number.
	 */
	public boolean isTranslatable;
	/**
	 * Indicates whether content is a translation (true) or an original (false).
	 */
	public boolean isTranslated;
	/**
	 * Indicates the language of content. Note that language allows for a simple 2 or 3 character language code or a language code extended by a country code , for example en-au for English as used in Australia.
	 */
	public DDICore_40_PIM.DataTypes.XMLSchemaDatatypes.language language;
	/**
	 * Supports specification of scope for the contained content. Use with the language specification to filter application of content.
	 */
	public String scope;
	/**
	 * The date the content was translated. Provision of translation date allows user to verify if translation was available during data collection or other time linked activity.
	 */
	public unlimitednatural translationDate;
	/**
	 * List the language code of the source. Repeat of multiple language sources are used.
	 */
	public DDICore_40_PIM.DataTypes.XMLSchemaDatatypes.language[] translationSourceLanguage;
};
